summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2017-02-04 15:36:15 -0700
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-01-07 19:34:11 +0000
commit2c8fbe6d387f812a08847d3c521132961ae3e5b9 (patch)
treecf81b431e88dc2083c4a0ae4c0078e76d77c5bb2 /tests
parenta2f4a0b0b1f1eb286c16586af072cd419fbbf51e (diff)
test suite: push-source: new tests
Signed-off-by: Sean Whitton <spwhitton@spwhitton.name> Acked-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/push-source19
-rwxr-xr-xtests/tests/push-source-with-changes31
2 files changed, 50 insertions, 0 deletions
diff --git a/tests/tests/push-source b/tests/tests/push-source
new file mode 100755
index 0000000..9d132e5
--- /dev/null
+++ b/tests/tests/push-source
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --dpkg-buildpackage:-d push-source --new
+
+t-pushed-good master
+t-push-was-source-only
+
+t-ok
diff --git a/tests/tests/push-source-with-changes b/tests/tests/push-source-with-changes
new file mode 100755
index 0000000..b9a3906
--- /dev/null
+++ b/tests/tests/push-source-with-changes
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+arch=$(dpkg-architecture -qDEB_BUILD_ARCH)
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+t-refs-same-start
+t-ref-head
+
+# (1) try pushing a changes file containing binaries
+
+t-dgit --dpkg-buildpackage:-d build -F
+
+t-expect-push-fail 'user-specified changes file is not source-only' \
+t-dgit -C ../${p}_1.0_${arch}.changes push-source --new
+
+# (2) try pushing a source-only changes file
+
+t-dgit --dpkg-buildpackage:-d build-source
+t-dgit -C ../${p}_1.0_source.changes push-source --new
+
+t-pushed-good master
+t-push-was-source-only
+
+t-ok